#include <stdio.h> 


int main()
{
  int n, j, i;
  
  scanf("%d",&n);
  
  if (n<1)
  {
    printf("-1\n");
    return -1;
  }
  
  for (i=1; i<=n; i++)
  {
    for (j=0; j < n-i; j++)
      printf(" ");
    
    for (j=0; j < 2*i-1; j++)
      if (j%2 == 0)
	printf("*");
      else 
	printf("A");
    
    printf("\n");
  }
  
  
  
  
  
  
  
  return 0;
}


// NAPOMENA ZBOG IZGLEDA: Editovano je u Kate programu.